Bug 168582 - Unable to handle kernel NULL pointer dereference at virtual address 00000004
Unable to handle kernel NULL pointer dereference at virtual address 00000004
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Jeffrey Moyer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-17 11:35 EDT by dan ginsberg
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-08 15:47:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dan ginsberg 2005-09-17 11:35:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
Unable to handle kernel NULL pointer dereference at virtual address 00000004
 printing eip:
c0185418
*pde = 00000000
Oops: 0002
tg3 ipt_limit ipt_multiport iptable_filter iptable_mangle ipt_LOG ipt_MASQUERADE ipt_state ipt_TOS ipt_REDIRECT iptable_nat ipt_REJECT ip_tables ip_conntrack
CPU:    1
EIP:    0060:[<c0185418>]    Not tainted
EFLAGS: 00010216
 
EIP is at ioctx_free_reqs [kernel] 0x18 (2.4.21-32.ELsmp/athlon)
eax: c9b1ebe8   ebx: 00000000   ecx: c6cbebf0   edx: d6d199c0
esi: c9b1ebe8   edi: e65c4000   ebp: e1e38864   esp: e65c5f40
ds: 0068   es: 0068   ss: 0068
Process oracle (pid: 8162, stackpage=e65c5000)
Stack: c6cbebf0 d8892d40 c9b1ebc0 00000400 c0185bac c9b1ebc0 00000000 c9b1ebc0
       00000000 c0185b6c c9b1ebc0 bfffd848 c01247f2 e1e38840 e1e38840 e1e38864
       c012470a e1e38858 c04379c0 e1e38840 c012b343 e1e38840 e1e38864 e65c4000
Call Trace:   [<c0185bac>] __put_ioctx [kernel] 0x3c (0xe65c5f50)
 
[<c0185b6c>] exit_aio [kernel] 0x8c (0xe65c5f64)
[<c01247f2>] mm_release [kernel] 0x82 (0xe65c5f70)
[<c012470a>] mmput [kernel] 0x5a (0xe65c5f80)
[<c012b343>] do_exit [kernel] 0x183 (0xe65c5f90)
[<c012b6da>] do_group_exit [kernel] 0x8a (0xe65c5fac)
 
Code: 89 43 04 89 18 c7 42 04 00 00 00 00 c7 02 00 00 00 00 a1 00
 
Kernel panic: Fatal exception

Version-Release number of selected component (if applicable):
kernel-2.4.21-32.ELsmp/athlon

How reproducible:
Didn't try


Additional info:
Comment 1 Dave Theodore 2005-09-19 16:28:29 EDT
# cat /etc/redhat-release
Red Hat Enterprise Linux ES release 3 (Taroon Update 5

# rpm -qa | grep aio
libaio-0.3.96-5
libaio-devel-0.3.96-5
Comment 2 Jeffrey Moyer 2006-01-09 18:15:30 EST
I'm afraid this isn't really enough information to go on.  Has this occurred
more than once?  Can you get a kernel crash dump if/when it happens again?
Comment 3 Dave Theodore 2006-01-10 00:20:44 EST
It hasn't happened since and I have set it to save a core, so hopefully we'll
get something more the next time.
Comment 4 Jeffrey Moyer 2006-05-23 13:19:56 EDT
I'm still waiting for more information on this.
Comment 5 dan ginsberg 2006-05-23 13:37:17 EDT
Has not yet recurred.
Comment 6 Jeffrey Moyer 2006-08-08 15:47:13 EDT
Given that we are unable to reproduce the problem, and RHEL 3 is not receiving
further updates, I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.